<?php
class BlogNav implements INavigationController{
	private $_uri;
	
	public function __construct() {
		$this->_uri=new URI("Blog","/blog","/images/blog.svg");
	}
	
	public function GetItems() {
		$posts=BlogPost::GetLatest(5);
		$links=array();
		foreach ($posts as $post)
			$links[]=new URI($post->PostTitle, "view/".$post->PostUrl);
		return $links;
	}

	public function GetURI() {
		return $this->_uri;
	}
}
